{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Python: Current File",
            "type": "python",
            "request": "launch",
            "program": "${file}",
            "console": "integratedTerminal",
            "justMyCode": true,
            "args": [
                "--gpus", "1", 
                "--max_epochs=16",  
                "--num_workers=32", 
                "--model_name_or_path",  "bert-base-uncased",
                "--accumulate_grad_batches", "1", 
                "--model_class", "BertKGC",
                "--batch_size", "64",
                "--checkpoint", "/kg_374/Relphormer/pretrain/output/FB15k-237/epoch=15-step=19299-Eval/hits10=0.96.ckpt",
                "--pretrain", "0",
                "--bce", "0",
                "--check_val_every_n_epoch", "1",
                "--overwrite_cache",
                "--data_dir", "dataset/FB15k-237", 
                "--eval_batch_size", "128",
                "--max_seq_length", "128",
                "--lr", "3e-5",
                "--max_triplet", "64",
                "--add_attn_bias", "True",
                "--use_global_node", "True",
                "--fast_dev_run", "True",
            ]
        }
    ]
}